<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: DQM Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">DQM Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for DQM:</div>
<div class="dyncontent">
<div class="center"><img src="classDQM__inherit__graph.png" border="0" usemap="#DQM_inherit__map" alt="Inheritance graph"/></div>
<map name="DQM_inherit__map" id="DQM_inherit__map">
<area shape="rect" id="node3" href="classWIB.html" title="WIB" alt="" coords="29,155,77,181"/><area shape="rect" id="node2" href="classDQM__FIFO.html" title="DQM_FIFO" alt="" coords="5,5,100,32"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classDQM-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classDQM_1_1behavioral.html">behavioral</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:a2edc34402b573437d5f25fa90ba4013e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2edc34402b573437d5f25fa90ba4013e"></a>
<a class="el" href="classDQM.html#a2edc34402b573437d5f25fa90ba4013e">numeric_std</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:a98507a0fe8002408a9d024a6658901e7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a98507a0fe8002408a9d024a6658901e7"></a>
<a class="el" href="classDQM.html#a98507a0fe8002408a9d024a6658901e7">WIB_Constants</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classWIB__Constants.html"> &lt;WIB_Constants&gt;</a></td></tr>
<tr class="memitem:a1a7369aeafa8e07dc7207d2a2d771b47"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1a7369aeafa8e07dc7207d2a2d771b47"></a>
<a class="el" href="classDQM.html#a1a7369aeafa8e07dc7207d2a2d771b47">COLDATA_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classCOLDATA__IO.html"> &lt;COLDATA_IO&gt;</a></td></tr>
<tr class="memitem:adec9c787fb8ad0cb3ab02d63b8630c79"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adec9c787fb8ad0cb3ab02d63b8630c79"></a>
<a class="el" href="classDQM.html#adec9c787fb8ad0cb3ab02d63b8630c79">FEMB_DAQ_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classFEMB__DAQ__IO.html"> &lt;FEMB_DAQ_IO&gt;</a></td></tr>
<tr class="memitem:adbf66be47e4db7c96a68b5207490642b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adbf66be47e4db7c96a68b5207490642b"></a>
<a class="el" href="classDQM.html#adbf66be47e4db7c96a68b5207490642b">Convert_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classConvert__IO.html"> &lt;Convert_IO&gt;</a></td></tr>
<tr class="memitem:ada1730f3e85914449cfc1bf2e0ef0c4d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ada1730f3e85914449cfc1bf2e0ef0c4d"></a>
<a class="el" href="classDQM.html#ada1730f3e85914449cfc1bf2e0ef0c4d">types</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classtypes.html"> &lt;types&gt;</a></td></tr>
<tr class="memitem:aa1e61ee3aa7be415b2ac503238baf08f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa1e61ee3aa7be415b2ac503238baf08f"></a>
<a class="el" href="classDQM.html#aa1e61ee3aa7be415b2ac503238baf08f">DQM_Packet</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:ab3798edbff0b5b8b4ca4b2e85a61769c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab3798edbff0b5b8b4ca4b2e85a61769c"></a>
<a class="el" href="classDQM.html#ab3798edbff0b5b8b4ca4b2e85a61769c">DQM_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classDQM__IO.html"> &lt;DQM_IO&gt;</a></td></tr>
<tr class="memitem:a3f50af30a812245a23dd8dca051a6af5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3f50af30a812245a23dd8dca051a6af5"></a>
<a class="el" href="classDQM.html#a3f50af30a812245a23dd8dca051a6af5">WIB_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classWIB__IO.html"> &lt;WIB_IO&gt;</a></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:a898924d2594736ee9bbd20dbb0d76877"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a898924d2594736ee9bbd20dbb0d76877"></a>
<a class="el" href="classDQM.html#a898924d2594736ee9bbd20dbb0d76877">clk_128Mhz</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa5dee59e6dfd116b6e40669ba272461f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa5dee59e6dfd116b6e40669ba272461f"></a>
<a class="el" href="classDQM.html#aa5dee59e6dfd116b6e40669ba272461f">reset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a63b013fd3fb50222475132b9ad926440"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a63b013fd3fb50222475132b9ad926440"></a>
<a class="el" href="classDQM.html#a63b013fd3fb50222475132b9ad926440">convert</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">convert_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aed7e7d668140013cfbb0ef502647433b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed7e7d668140013cfbb0ef502647433b"></a>
<a class="el" href="classDQM.html#aed7e7d668140013cfbb0ef502647433b">WIB_ID</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">WIB_ID_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a04e764b109a624f791c9797efb811b79"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a04e764b109a624f791c9797efb811b79"></a>
<a class="el" href="classDQM.html#a04e764b109a624f791c9797efb811b79">packet_out</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">DQM_Packet_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a349fa252c5882c1c51487996dbfaad31"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a349fa252c5882c1c51487996dbfaad31"></a>
<a class="el" href="classDQM.html#a349fa252c5882c1c51487996dbfaad31">packet_free</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3b073b334efe7f87164c98cc6e506621"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3b073b334efe7f87164c98cc6e506621"></a>
<a class="el" href="classDQM.html#a3b073b334efe7f87164c98cc6e506621">monitor</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">DQM_Monitor_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac69acb19f096481d452b09b6d5e84b47"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac69acb19f096481d452b09b6d5e84b47"></a>
<a class="el" href="classDQM.html#ac69acb19f096481d452b09b6d5e84b47">control</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">DQM_Control_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1cfad9c2ce74182d3546816f556c5f7e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1cfad9c2ce74182d3546816f556c5f7e"></a>
<a class="el" href="classDQM.html#a1cfad9c2ce74182d3546816f556c5f7e">FEMB_DQM</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">FEMB_DQM_t</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="DQM_8vhd_source.html#l00017">17</a> of file <a class="el" href="DQM_8vhd_source.html">DQM.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/SC/<a class="el" href="DQM_8vhd_source.html">DQM.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:33 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
